Package fr.gouv.vitam.worker.core.plugin.probativevalue.pojo

# Enum Class ChecksInformation.ChecksSourceDestination

java.lang.Object
java.lang.Enum<ChecksInformation.ChecksSourceDestination>
fr.gouv.vitam.worker.core.plugin.probativevalue.pojo.ChecksInformation.ChecksSourceDestination

All Implemented Interfaces:
  `Serializable`, `Comparable<ChecksInformation.ChecksSourceDestination>`, `Constable`

Enclosing class:
  `ChecksInformation`

public static enum ChecksInformation.ChecksSourceDestination extends Enum<ChecksInformation.ChecksSourceDestination>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADDITIONAL_TRACEABILITY`
  `COMPUTATION`
  `DATABASE`
  `OFFER`
  `TRACEABILITY_FILE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChecksInformation.ChecksSourceDestination`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ChecksInformation.ChecksSourceDestination[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OFFER

    public static final ChecksInformation.ChecksSourceDestination OFFER

  - ### DATABASE

    public static final ChecksInformation.ChecksSourceDestination DATABASE

  - ### TRACEABILITY_FILE

    public static final ChecksInformation.ChecksSourceDestination TRACEABILITY_FILE

  - ### ADDITIONAL_TRACEABILITY

    public static final ChecksInformation.ChecksSourceDestination ADDITIONAL_TRACEABILITY

  - ### COMPUTATION

    public static final ChecksInformation.ChecksSourceDestination COMPUTATION

- ## Method Details

  - ### values

    public static ChecksInformation.ChecksSourceDestination[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ChecksInformation.ChecksSourceDestination valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null